import createMaterialIcon from '../createMaterialIcon.js';

const pathData = {
  regular: {
    "100": "M376-277 172-480l204-204 16 16-177 177h573v22H215l177 176-16 16Z",
    "200": "M372.08-268.92 160-480.23l212.08-212.08 22.23 22.23-174.46 174.46H800v30.77H219.85l174.46 173.7-22.23 22.23Z",
    "300": "M365.54-255.46 140-480.62l225.54-225.53 32.61 32.61-170.23 170.23H820v45.39H227.92l170.23 169.84-32.61 32.62Z",
    "400": "M359-242 120-481l239-239 43 43-166 166h604v60H236l166 166-43 43Z",
    "500": "M358.76-236.26 114.02-481l244.74-244.74L407.5-677 245.8-515.07h600.42v68.14H245.8L407.5-285l-48.74 48.74Z",
    "600": "M358.43-228.43 105.87-481l252.56-252.57L415-677 259.18-520.61H854.7v79.22H259.18L415-285l-56.57 56.57Z",
    "700": "M358-218 95-481l263-263 67 67-148 149h589v94H277l148 149-67 67Z"
  }
};
const KeyboardBackspaceW100 = createMaterialIcon("keyboard_backspace", pathData.regular[100]);
const KeyboardBackspaceW200 = createMaterialIcon("keyboard_backspace", pathData.regular[200]);
const KeyboardBackspaceW300 = createMaterialIcon("keyboard_backspace", pathData.regular[300]);
const KeyboardBackspaceW400 = createMaterialIcon("keyboard_backspace", pathData.regular[400]);
const KeyboardBackspaceW500 = createMaterialIcon("keyboard_backspace", pathData.regular[500]);
const KeyboardBackspaceW600 = createMaterialIcon("keyboard_backspace", pathData.regular[600]);
const KeyboardBackspaceW700 = createMaterialIcon("keyboard_backspace", pathData.regular[700]);
const KeyboardBackspaceFillW100 = createMaterialIcon("keyboard_backspace", pathData.regular[100]);
const KeyboardBackspaceFillW200 = createMaterialIcon("keyboard_backspace", pathData.regular[200]);
const KeyboardBackspaceFillW300 = createMaterialIcon("keyboard_backspace", pathData.regular[300]);
const KeyboardBackspaceFillW400 = createMaterialIcon("keyboard_backspace", pathData.regular[400]);
const KeyboardBackspaceFillW500 = createMaterialIcon("keyboard_backspace", pathData.regular[500]);
const KeyboardBackspaceFillW600 = createMaterialIcon("keyboard_backspace", pathData.regular[600]);
const KeyboardBackspaceFillW700 = createMaterialIcon("keyboard_backspace", pathData.regular[700]);

export { KeyboardBackspaceFillW100, KeyboardBackspaceFillW200, KeyboardBackspaceFillW300, KeyboardBackspaceFillW400, KeyboardBackspaceFillW500, KeyboardBackspaceFillW600, KeyboardBackspaceFillW700, KeyboardBackspaceW100, KeyboardBackspaceW200, KeyboardBackspaceW300, KeyboardBackspaceW400, KeyboardBackspaceW500, KeyboardBackspaceW600, KeyboardBackspaceW700 };
